After you fulfill a reward’s requirements, mark it complete. You can optionally attach a referenceId, which is shown to the creator so they can reference it if they need to contact you about the reward.
A reward you are about to complete looks like this:
{ "id": "kCxr7lst7Ghk8n1o6DKEF", "name": "In game Title", "externalId": "dalfjkAsdlgJkdal", "playerId": "55d57cffaa074cc6b8d332f5d77661f2", "rewardCompleted": false}In this example, the creator is entitled to an “In game Title” as a bounty reward. The externalId is a unique identifier to map the reward to what the creator will actually receive in your system. Once the reward has been fulfilled, you can mark it complete by using the complete-reward API:
POST
/complete-reward/{rewardId}View full referenceParameters, responses, and status codes.
curl -X 'POST' \ 'https://api.nexus.gg/v1/bounties/complete-reward/kCxr7lst7Ghk8n1o6DKEF' \ -H 'accept: */*' \ -H 'Content-Type: application/json' \ -H 'X-SHARED-SECRET: nexus_sk_your_key_here' \ -d '{ "referenceId": "55d57cffaa074cc6b8d332f5d77661f2"}'The status should be 200 OK with a JSON response body that looks something like this:
{ "id": "kCxr7lst7Ghk8n1o6DKEF", "name": "In game Title", "externalId": "dalfjkAsdlgJkdal", "rewardCompleted": true, "rewardReferenceId": "55d57cffaa074cc6b8d332f5d77661f2"}